Subject: Re: why does kernel 3.8-rc1 put all TAP devices into state RUNNING during boot

From: Max Krasnyansky <[email-masked]>
Date: Mon, 7 Jan 2013 16:27:01 -0800

On 01/05/2013 02:16 AM, Toralf Förster wrote:
> At my stable Gentoo Linux I'm observed a change behaviour for the
> configured TAP devices after the boot process.
> 
> $ diff 3.7.1 3.8.0-rc1+ | grep UP
>- br0: flags=4355<UP,BROADCAST,PROMISC,MULTICAST>  mtu 1500
>+ br0: flags=4419<UP,BROADCAST,RUNNING,PROMISC,MULTICAST>  mtu 1500
>- tap0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
>+ tap0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
> 
> May I ask you if this changed behaviour is intended ?

I'm not aware of any changes in this behavior.
btw Looks like it changed for your bridge interfaces as well. So it's not really
specific to the TAP devices.

Someone from netdev would know :)

Max